/*

VMEDIT, a general multipage GTK based text editor.

Copyright (C) 2005  Vladimir Martinek

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

void create_new_file(void);
void edit_copy(void);
void edit_cut(void);
void edit_paste(void);
void open_file(void);
gboolean save_file(void);
void save_file_menu(void);
void close_file(void);
gboolean save_as_file(void);
void save_as_file_menu(void);
gboolean do_open_file ();
gboolean do_save_file (gchar * fileName);
void page_change (GtkNotebook *,GtkNotebookPage *,guint,gpointer);
void set_page_title(guint, gchar *);
void set_detail_file_name(guint, gchar *);
void quit(void);
typedef struct {
  GtkWidget *textView;
  gchar * fileName;
} ManagedFile;

ManagedFile * getFileDetail(guint);
GtkWidget * get_current_view();
guint get_current_page();
GtkResponseType ask_before_closing(guint);
GtkWidget * get_toolbar();
//void set_wrap (GtkCheckMenuItem *, gpointer);
//void set_toolbar (GtkCheckMenuItem *, gpointer);

